Bug 1295017 - [abrt] xfce4-taskmanager: g_utf8_collate(): xfce4-taskmanager killed by SIGABRT
[abrt] xfce4-taskmanager: g_utf8_collate(): xfce4-taskmanager killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-taskmanager (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:54ff784f647e547ed685215dd22...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-31 17:46 EST by vikiwiki
Modified: 2016-12-20 12:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:31:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.71 KB, text/plain)
2015-12-31 17:46 EST, vikiwiki
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-31 17:46 EST, vikiwiki
no flags Details
File: core_backtrace (5.87 KB, text/plain)
2015-12-31 17:46 EST, vikiwiki
no flags Details
File: dso_list (7.67 KB, text/plain)
2015-12-31 17:46 EST, vikiwiki
no flags Details
File: environ (1.39 KB, text/plain)
2015-12-31 17:46 EST, vikiwiki
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-31 17:46 EST, vikiwiki
no flags Details
File: maps (38.04 KB, text/plain)
2015-12-31 17:46 EST, vikiwiki
no flags Details
File: mountinfo (3.13 KB, text/plain)
2015-12-31 17:46 EST, vikiwiki
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-31 17:47 EST, vikiwiki
no flags Details
File: open_fds (533 bytes, text/plain)
2015-12-31 17:47 EST, vikiwiki
no flags Details
File: proc_pid_status (1016 bytes, text/plain)
2015-12-31 17:47 EST, vikiwiki
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-12-31 17:47 EST, vikiwiki
no flags Details

  None (edit)
Description vikiwiki 2015-12-31 17:46:41 EST
Version-Release number of selected component:
xfce4-taskmanager-1.1.0-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xfce4-taskmanager
crash_function: g_utf8_collate
executable:     /usr/bin/xfce4-taskmanager
global_pid:     24306
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #7 g_utf8_collate at gunicollate.c:118
 #8 _gtk_tree_data_list_compare_func at gtktreedatalist.c:434
 #9 gtk_list_store_compare_func at gtkliststore.c:1686
 #10 node_find_closest at gsequence.c:1753
 #11 node_insert_sorted at gsequence.c:1991
 #12 g_sequence_sort_changed_iter at gsequence.c:954
 #13 gtk_list_store_sort_iter_changed at gtkliststore.c:1765
 #14 gtk_list_store_set_valist at gtkliststore.c:905
 #15 gtk_list_store_set at gtkliststore.c:941
 #16 model_add_task at task-manager.c:184

Potential duplicate: bug 1231573
Comment 1 vikiwiki 2015-12-31 17:46:46 EST
Created attachment 1110820 [details]
File: backtrace
Comment 2 vikiwiki 2015-12-31 17:46:48 EST
Created attachment 1110821 [details]
File: cgroup
Comment 3 vikiwiki 2015-12-31 17:46:50 EST
Created attachment 1110822 [details]
File: core_backtrace
Comment 4 vikiwiki 2015-12-31 17:46:52 EST
Created attachment 1110823 [details]
File: dso_list
Comment 5 vikiwiki 2015-12-31 17:46:53 EST
Created attachment 1110824 [details]
File: environ
Comment 6 vikiwiki 2015-12-31 17:46:55 EST
Created attachment 1110825 [details]
File: limits
Comment 7 vikiwiki 2015-12-31 17:46:57 EST
Created attachment 1110826 [details]
File: maps
Comment 8 vikiwiki 2015-12-31 17:46:59 EST
Created attachment 1110827 [details]
File: mountinfo
Comment 9 vikiwiki 2015-12-31 17:47:01 EST
Created attachment 1110828 [details]
File: namespaces
Comment 10 vikiwiki 2015-12-31 17:47:02 EST
Created attachment 1110829 [details]
File: open_fds
Comment 11 vikiwiki 2015-12-31 17:47:04 EST
Created attachment 1110830 [details]
File: proc_pid_status
Comment 12 vikiwiki 2015-12-31 17:47:05 EST
Created attachment 1110831 [details]
File: var_log_messages
Comment 13 Mukundan Ragavan 2015-12-31 20:52:45 EST
What were you doing when this happened?

Can you reproduce this again? If yes, can you please detail the steps?
Comment 14 Fedora End Of Life 2016-11-24 09:38:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:31:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.